AbstractReplicatedMap.MapEntry (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.catalina.tribes.tipis

## Class AbstractReplicatedMap.MapEntry<K,​V>

- java.lang.Object
- - org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapEntry<K,​V>

- All Implemented Interfaces:
    `java.util.Map.Entry<K,​V>`
  Enclosing class:
    AbstractReplicatedMap<K,​V>

      public static class AbstractReplicatedMap.MapEntry<K,​V>
      extends java.lang.Object
      implements java.util.Map.Entry<K,​V>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapEntry​(K key, V value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(byte[] data, int offset, int length, boolean diff)` | apply a diff, or an entire object
    `boolean` | `equals​(java.lang.Object o)` |
    `Member[]` | `getBackupNodes()` |
    `K` | `getKey()` |
    `Member` | `getPrimary()` |
    `V` | `getValue()` |
    `int` | `hashCode()` |
    `boolean` | `isActive()` |
    `boolean` | `isBackup()` |
    `boolean` | `isCopy()` |
    `boolean` | `isDiffable()` |
    `boolean` | `isKeySerializable()` |
    `boolean` | `isPrimary()` |
    `boolean` | `isProxy()` |
    `boolean` | `isSerializable()` |
    `boolean` | `isValueSerializable()` |
    `void` | `setBackup​(boolean backup)` |
    `void` | `setBackupNodes​(Member[] nodes)` |
    `void` | `setCopy​(boolean copy)` |
    `K` | `setKey​(K key)` |
    `void` | `setPrimary​(Member m)` |
    `void` | `setProxy​(boolean proxy)` |
    `V` | `setValue​(V value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEntry

          public MapEntry​(K key,
                          V value)

  - ### Method Detail

    - #### isKeySerializable

          public boolean isKeySerializable()

    - #### isValueSerializable

          public boolean isValueSerializable()

    - #### isSerializable

          public boolean isSerializable()

    - #### isBackup

          public boolean isBackup()

    - #### setBackup

          public void setBackup​(boolean backup)

    - #### isProxy

          public boolean isProxy()

    - #### isPrimary

          public boolean isPrimary()

    - #### isActive

          public boolean isActive()

    - #### setProxy

          public void setProxy​(boolean proxy)

    - #### isCopy

          public boolean isCopy()

    - #### setCopy

          public void setCopy​(boolean copy)

    - #### isDiffable

          public boolean isDiffable()

    - #### setBackupNodes

          public void setBackupNodes​(Member[] nodes)

    - #### getBackupNodes

          public Member[] getBackupNodes()

    - #### setPrimary

          public void setPrimary​(Member m)

    - #### getPrimary

          public Member getPrimary()

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<K,​V>`

    - #### setValue

          public V setValue​(V value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<K,​V>`

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<K,​V>`

    - #### setKey

          public K setKey​(K key)

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map.Entry<K,​V>`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Map.Entry<K,​V>`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### apply

          public void apply​(byte[] data,
                            int offset,
                            int length,
                            boolean diff)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

      apply a diff, or an entire object
      Parameters:
        `data` - byte[]
        `offset` - int
        `length` - int
        `diff` - boolean
      Throws:
        `java.io.IOException` - IO error
        `java.lang.ClassNotFoundException` - Deserialization error

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`